summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2024-02-19 05:07:11 +0000
committerSam James <sam@gentoo.org>2024-02-19 05:07:11 +0000
commit4ccbec18b76ff3c48f3d32f1b1760ca568ddc615 (patch)
tree692be49dc52552eac50bd8c76563921173de7470 /eclass/toolchain.eclass
parentsys-devel/gcc: drop obsolete cross fixincludes patch for 13 (diff)
downloadgentoo-4ccbec18b76ff3c48f3d32f1b1760ca568ddc615.tar.gz
gentoo-4ccbec18b76ff3c48f3d32f1b1760ca568ddc615.tar.bz2
gentoo-4ccbec18b76ff3c48f3d32f1b1760ca568ddc615.zip
toolchain.eclass: explicitly disable fixincludes for cross too
Just in case, although the condition is unlikely there now. Bug: https://bugs.gentoo.org/905118 Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 5de1329347ee..67a04f297d6b 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1304,8 +1304,8 @@ toolchain_src_configure() {
if tc_version_is_at_least 13.1 ; then
# Re-enable fixincludes for >= GCC 13 with older glibc
- # https://gcc.gnu.org/bugzilla/show_bug.cgi?id=107128
- if use elibc_glibc && has_version "<sys-libs/glibc-2.38" ; then
+ # https://gcc.gnu.org/PR107128
+ if ! is_crosscompile && use elibc_glibc && has_version "<sys-libs/glibc-2.38" ; then
GCC_RUN_FIXINCLUDES=1
fi